Package org.springframework.security.authentication

# Class ProviderNotFoundException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.security.core.AuthenticationException
org.springframework.security.authentication.ProviderNotFoundException

All Implemented Interfaces:
  `Serializable`

public class ProviderNotFoundException extends AuthenticationException
Thrown by `ProviderManager` if no `AuthenticationProvider` could be found that supports the presented `Authentication` object.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ProviderNotFoundException(String msg)`
Constructs a `ProviderNotFoundException` with the specified message.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ProviderNotFoundException

public ProviderNotFoundException(String msg)
Constructs a `ProviderNotFoundException` with the specified message.

Parameters:
  `msg` - the detail message